VSTGUI: UIDescriptionViewSwitchController Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UIDescriptionViewSwitchController Class Reference

`#include <uiviewswitchcontainer.h>`

Inheritance diagram for UIDescriptionViewSwitchController:

## Public Member Functions
| UIDescriptionViewSwitchController (UIViewSwitchContainer *viewSwitch, const IUIDescription *uiDescription, IController *uiController)
CView * | createViewForIndex (int32_t index) override
void | switchContainerAttached () override
void | switchContainerRemoved () override
void | setTemplateNames (UTF8StringPtr templateNames)
void | getTemplateNames (std::string &str)
void | setSwitchControlTag (int32_t tag)
int32_t | getSwitchControlTag () const
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexcept override=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
virtual CMessageResult | notify (CBaseObject *sender, IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
Public Member Functions inherited from IViewSwitchController
| IViewSwitchController (UIViewSwitchContainer *viewSwitch)
virtual | ~IViewSwitchController () noexcept=default
void | init ()
UIViewSwitchContainer * | getViewSwitchContainer () const
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Protected Member Functions
void | valueChanged (CControl *pControl) override

## Protected Attributes
const IUIDescription * | uiDescription
IController * | uiController
int32_t | switchControlTag
int32_t | currentIndex
SharedPointer< CControl > | switchControl
std::vector< std::string > | templateNames
Protected Attributes inherited from IViewSwitchController
UIViewSwitchContainer * | viewSwitch

## Constructor & Destructor Documentation

## ◆ UIDescriptionViewSwitchController()

UIDescriptionViewSwitchController | ( | UIViewSwitchContainer * | viewSwitch,
|  | const IUIDescription * | uiDescription,
|  | IController * | uiController )

## Member Function Documentation

## ◆ createViewForIndex()

CView * createViewForIndex | ( | int32_t | index | ) |
| overridevirtual

Implements IViewSwitchController.

## ◆ getSwitchControlTag()

int32_t getSwitchControlTag | ( |  | ) | const
| inline

## ◆ getTemplateNames()

void getTemplateNames | ( | std::string & | str | ) |

## ◆ setSwitchControlTag()

void setSwitchControlTag | ( | int32_t | tag | ) |
| inline

## ◆ setTemplateNames()

void setTemplateNames | ( | UTF8StringPtr | templateNames | ) |

## ◆ switchContainerAttached()

void switchContainerAttached | ( |  | ) |
| overridevirtual

Implements IViewSwitchController.

## ◆ switchContainerRemoved()

void switchContainerRemoved | ( |  | ) |
| overridevirtual

Implements IViewSwitchController.

## ◆ valueChanged()

void valueChanged | ( | CControl * | pControl | ) |
| overrideprotectedvirtual

Implements IControlListener.

## Member Data Documentation

## ◆ currentIndex

int32_t currentIndex
| protected

## ◆ switchControl

SharedPointer<CControl> switchControl
| protected

## ◆ switchControlTag

int32_t switchControlTag
| protected

## ◆ templateNames

std::vector<std::string> templateNames
| protected

## ◆ uiController

IController* uiController
| protected

## ◆ uiDescription

const IUIDescription* uiDescription
| protected

The documentation for this class was generated from the following files:

- uiviewswitchcontainer.h
- uiviewswitchcontainer.cpp